# eric4.Checks.PyLint.PyLintConfigDialog

Module implementing a dialog to configure the PyLint process

### Classes

PyLintConfigDialog | Class implementing a dialog to configure the PyLint process

### Functions

None

## PyLintConfigDialog

Class implementing a dialog to configure the PyLint process

### Derived from

QDialog, Ui_PyLintConfigDialog

### Methods

PyLintConfigDialog | Constructor
__createConfigDone | Private slot to handle the the finished signal of the pylint process.
__initializeDefaults | Private method to set the default values.
__readStderr | Private slot to handle the readyReadStandardError signal of the pylint process.
__readStdout | Private slot to handle the readyReadStandardOutput signal of the pylint process.
accept | Protected slot called by the Ok button.
generateParameters | Public method that generates the commandline parameters.
on_configButton_clicked | Public slot to handle the generation of a sample configuration.
on_configfileButton_clicked | Private slot to select the configuration file.
on_configfileEdit_textChanged | Private slot to handle the TextChanged signal of configfileEdit.
on_reportfileButton_clicked | Private slot to select the report file.

#### PyLintConfigDialog (Constructor)

PyLintConfigDialog(ppath, parms = None, parent = None)

Constructor

ppath
  project path (string or QString) Used to set the default path for the rcfile selection dialog
parms
  parameters to set in the dialog
parent
  reference to the parent widget (QWidget)

#### PyLintConfigDialog.__createConfigDone

__createConfigDone(exitCode, exitStatus)

Private slot to handle the the finished signal of the pylint process.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### PyLintConfigDialog.__initializeDefaults

__initializeDefaults()

Private method to set the default values.

These are needed later on to generate the commandline parameters.

#### PyLintConfigDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal of the pylint process.

#### PyLintConfigDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal of the pylint process.

#### PyLintConfigDialog.accept

accept()

Protected slot called by the Ok button.

It saves the values in the parameters dictionary.

#### PyLintConfigDialog.generateParameters

generateParameters()

Public method that generates the commandline parameters.

It generates a QStringList to be used to set the QProcess arguments for the pylint call and a list containing the non default parameters. The second list can be passed back upon object generation to overwrite the default settings.

Note: The arguments list contains the name of the pylint executable as the first parameter.

Returns:
  a tuple of the commandline parameters and non default parameters (QStringList, dictionary)

#### PyLintConfigDialog.on_configButton_clicked

on_configButton_clicked()

Public slot to handle the generation of a sample configuration.

#### PyLintConfigDialog.on_configfileButton_clicked

on_configfileButton_clicked()

Private slot to select the configuration file.

It displays a file selection dialog to select the configuration file.

#### PyLintConfigDialog.on_configfileEdit_textChanged

on_configfileEdit_textChanged(txt)

Private slot to handle the TextChanged signal of configfileEdit.

txt
  contents of configfileEdit (QString)

#### PyLintConfigDialog.on_reportfileButton_clicked

on_reportfileButton_clicked()

Private slot to select the report file.

It displays a file selection dialog to select the report file.

Up